# NAME

git-annex map - generate map of repositories

# SYNOPSIS

git annex map

# DESCRIPTION

Helps you keep track of your repositories, and the connections between them,
by going out and looking at all the ones it can get to, and generating a
Graphviz file displaying it all. If the `xdot` or `dot` command is available,
it is used to display the file to your screen.
  
This command only connects to hosts that the host it's run on can
directly connect to. It does not try to tunnel through intermediate hosts.
So it might not show all connections between the repositories in the network
  
Also, if connecting to a host requires a password, you might have to enter
it several times as the map is being built.
  
Note that this subcommand can be used to graph any git repository; it
is not limited to git-annex repositories.

# LEGEND

Ovals are repositories. White is regular, green is trusted, red is
untrusted, and grey is dead.

Arrows between repositories are connections via git remotes.

Light blue boxes are hosts that were mapped, and contain the repositories
on that host.

# OPTIONS

* `--fast`

  Don't display the generated Graphviz file, but save it for later use.

* Also the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
